Skip to main content

List Active Nodes in a Group

Returns the currently running (active) nodes for an auto scaling group - each node's id, name, public and private IP address, and status. Terminated nodes are returned by Deleted Nodes instead.

GET/api/v1/scaler/scalegroups/nodes/{scaler_id}

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object

Active nodes in the group.

codeinteger
example200
dataarray
errorsobject
messagestring
exampleSuccess